import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { PageHomeComponent } from './page-home/page-home.component';
import { PageTextbookComponent } from './page-textbook/page-textbook.component';
import { ApplyComponent } from './apply/apply.component';
import { ProfileComponent } from '../user/profile/profile.component';
const routes: Routes = [
  {
    path: '',
    redirectTo:'manage/apply',
    pathMatch: "full",
  },
  {
    path: 'manage',
    component: PageHomeComponent,
    children: [
      {
        path: 'apply',//创建教材
        component: ApplyComponent,
      },
      {
        path: 'textbook',//列表
        component: PageTextbookComponent,
      },
      {
        path: 'recycle',//回收站
        component: PageTextbookComponent,
      },
    ],
  },
  {
    path: 'profile',
    component: ProfileComponent,
  },
];
@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule],
})
export class NavAuthorRoutingModule {}
